predict.HoltWinters {stats} | R Documentation

## Prediction Function for Fitted Holt-Winters Models

### Description

Computes predictions and prediction intervals for models fitted by the Holt-Winters method.

### Usage

    ## S3 method for class 'HoltWinters'
    predict(object, n.ahead = 1, prediction.interval = FALSE,
           level = 0.95, ...)

### Arguments

`object` | An object of class `HoltWinters`.
`n.ahead` | Number of future periods to predict.
`prediction.interval` | logical. If `TRUE`, the lower and upper bounds of the corresponding prediction intervals are computed.
`level` | Confidence level for the prediction interval.
`...` | arguments passed to or from other methods.

### Value

A time series of the predicted values. If prediction intervals are requested, a multiple time series is returned with columns `fit`, `lwr` and `upr` for the predicted values and the lower and upper bounds respectively.

### Author(s)

David Meyer David.Meyer@wu.ac.at

### References

C. C. Holt (1957) Forecasting trends and seasonals by exponentially weighted moving averages, ONR Research Memorandum, Carnegie Institute of Technology 52.

P. R. Winters (1960) Forecasting sales by exponentially weighted moving averages, Management Science 6, 324–342.

### See Also

`HoltWinters`

### Examples

    require(graphics)

    m <- HoltWinters(co2)
    p <- predict(m, 50, prediction.interval = TRUE)
    plot(m, p)

[Package stats version 3.4.2 Index]